/* HERO */

.hero {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;

    position: relative;

    background-image: url("/img/bg.png");
    background-size: cover;

    .but-main-wrap {
        opacity: 0;
    }
}

.tagline {

    text-align: center;

    h1 {
        margin-top: 0px;
        font-size: 160px;
        color: var(--color-primary);
        margin-bottom: 0px;
    }

    .sub {
        font-size: 40px;
        color: var(--color-primary);
        opacity: 0;
    }

    .title {
        display: flex;
        flex-direction: column;
        position: relative;
        font-weight: 700;
    }

    .title-text {
        visibility: hidden;
    }

    .interrogations {
        position: realtive;
        
        font-size: 128px;
        font-weight: 700;
        color: transparent;

        -webkit-text-stroke-width: 1px;
        -webkit-text-stroke-color: var(--color-primary);

        span {
            opacity: 0;

            position: absolute;

            top: 50%;
            right: 0%;
            transform: translateY(-50%);

            .inner {
                position: absolute;
                top: 50%;
                left: 50%;

                animation-name: floating;
                animation-duration: 4s;
                animation-iteration-count: infinite;
                animation-timing-function: ease-in-out;
                animation-direction: alternate;
            }
        }
        
        .first {
            transform: translateY(-50%) translate(4rem, -6rem);

            .inner {
                animation-delay: -1s;
            }

            .text {
                transform: translateY(-50%)rotate(-30deg);
            }
        }

        .second {
            transform: translateY(-50%) translate(4rem, 6rem);

            .inner {
                animation-delay: -2s;
            }

            .text {
                transform: translateY(-50%) rotate(30deg);
            }
        }

        .third {
            transform: translateY(-50%) translate(-9rem, 10rem);

            .inner {
                animation-delay: -3s;
            }

            .text {
                transform: translateY(-50%) rotate(-30deg);
            }
        }
    }
}

@keyframes floating {
    from { transform: translateY(-50%) translate(0,  0px); }
    65%  { transform: translateY(-50%) translate(0, 7px); }
    to   { transform: translateY(-50%) translate(0, -0px); }    
}

.timeline-start {
    display: flex;

    align-items: center;
    justify-content: center;
    flex-direction: column;

    position: absolute;
    bottom: 0%;
    left: 50%;

    transform: translateX(-50%);

    opacity: 0;

    span {
        font-size: 32px;
        color: var(--color-primary);
        margin-bottom: 1rem;
    }

    .tl-line {
        height: 2rem;
        width: 3px;
        background-color: var(--color-primary);
    }
}

/* TIMELINE */

.timeline {
    display: flex;
    flex-direction: column;
}

.timeline-inner {

    display: flex;
    flex-direction: row;

    height: 20rem;

    font-size: 28px;

    .left {
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        justify-content: center;
        width: calc(50% - 1.5px);
        padding-right: 2rem;
    }

    .right {
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: flex-start;
        padding-left: 2rem;
    }
    .center {
        width: 3px;
        align-self: stretch;
        background-color: var(--color-primary);
    }
}

.tl-title {
    width: 100%;
    text-align: center;
    font-size: 48px;
    color: var(--color-primary);
    margin-block: 4rem;
}

/* PROJECTS */

.sep-h {
    width: 100%;
    height: 3px;
    background-color: var(--color-primary);
}

h2 {
    font-size: 100px;
    color: var(--color-primary);
    margin-block: 0px;
    margin-left: 1rem;
}

.project-grid {
    display: flex;
    flex-direction: row;

    width: 100%;

    .project {
        height: 40rem;
        width: 33.333%;
    }

    .project.middle {
        border-inline: 3px solid var(--color-primary);
    }
}

/* TEAM */

.team {

    height: 100vh;
    
    display: flex;
    flex-direction: column;
    justify-content: center;

    .member {
        display: flex;
        flex-direction: row;
        margin-left: 3rem;
    }

    .portrait {
        width: 200px;
        height: 200px;
        margin-right: 2rem;

        border: 3px solid var(--color-primary);
        box-shadow: -10px 10px #000;
    }

    h2 {
        margin-bottom: 2rem;
    }

    h3 {
        font-size: 32px;
        color: var(--color-primary);
        margin-block: 0px;
    }

    p {
        font-size: 18px;
        margin-block: .25rem;
        max-width: 600px;
    }

    .socials {
        margin-top: .5rem;
    }

    .socials > a {
        color: var(--color-primary);
        font-size: 32px;
    }
}

/* CTA */

.cta {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-block: 6rem;

    gap: 1rem;

    h2 {
        font-size: 32px;
    }
}

@media only screen and (max-width: 600px) {
    .tagline {
        box-sizing: border-box;
        width: 100%;
        padding-inline: 1rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .sub {
        font-size: 28px !important;
        text-wrap: balance;
    }

    .title-text {
        line-height: 1em;
        font-size: 100px !important;
    }

    #hero-but {
        margin-top: 4rem;
    }

    .interrogations {
        display: none;
    }

    .timeline-inner {

        .left {
            padding-right: 1rem;
        }

        .right {
            padding-left: 1rem;
        }

        span {
            font-size: 24px !important;
        }

    }

    .tl-title {
        box-sizing: border-box;
        text-wrap: wrap;
        padding-inline: 1rem;
    }

    .project-grid {
        flex-direction: column;

        .project {
            width: 100%;
        }

        .project.middle {
            border-inline: none;
            border-block: 3px solid var(--color-primary);
        }
    }

    h2 {
        line-height: .9em;
        margin-block: 1rem;
        font-size: 78px !important;
    }

    .member {
        box-sizing: border-box;

        width: 100%;
        padding-inline: 2rem;

        text-wrap: balance;

        flex-direction: column !important;
        align-items: center;
        text-align: center;
        margin-left: 0px !important;

        .portrait {
            margin-right: 0px !important;
            margin-bottom: 1rem;
        }
    }
}